#ifndef HOMEKIT_RELAYCTL_RELAY_H
#define HOMEKIT_RELAYCTL_RELAY_H

#include <Arduino.h>

namespace homekit::relay {

inline void init() {
    pinMode(CONFIG_RELAY_GPIO, OUTPUT);
}

inline bool getState() {
    return digitalRead(CONFIG_RELAY_GPIO) == HIGH;
}

inline void setOn() {
    digitalWrite(CONFIG_RELAY_GPIO, HIGH);
}

inline void setOff() {
    digitalWrite(CONFIG_RELAY_GPIO, LOW);
}

}

#endif //HOMEKIT_RELAYCTL_RELAY_H